<Type Name="CounterSample" FullName="System.Diagnostics.CounterSample">
  <TypeSignature Language="C#" Value="public sealed struct CounterSample;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.ValueType</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="Empty">
      <MemberSignature Language="C#" Value="public static CounterSample Empty;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.CounterSample</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Calculate">
      <MemberSignature Language="C#" Value="public static float Calculate (CounterSample counterSample);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Single</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="counterSample" Type="System.Diagnostics.CounterSample" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="counterSample">To be added: an object of type 'CounterSample'</param>
        <returns>To be added: an object of type 'float'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Calculate">
      <MemberSignature Language="C#" Value="public static float Calculate (CounterSample counterSample, CounterSample nextCounterSample);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Single</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="counterSample" Type="System.Diagnostics.CounterSample" />
		<Parameter Name="nextCounterSample" Type="System.Diagnostics.CounterSample" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="counterSample">To be added: an object of type 'CounterSample'</param>
        <param name="nextCounterSample">To be added: an object of type 'CounterSample'</param>
        <returns>To be added: an object of type 'float'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CounterSample (long rawValue, long baseValue, long counterFrequency, long systemFrequency, long timeStamp, long timeStamp100nSec, PerformanceCounterType counterType);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="rawValue" Type="System.Int64" />
		<Parameter Name="baseValue" Type="System.Int64" />
		<Parameter Name="counterFrequency" Type="System.Int64" />
		<Parameter Name="systemFrequency" Type="System.Int64" />
		<Parameter Name="timeStamp" Type="System.Int64" />
		<Parameter Name="timeStamp100nSec" Type="System.Int64" />
		<Parameter Name="counterType" Type="System.Diagnostics.PerformanceCounterType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="rawValue">To be added: an object of type 'long'</param>
        <param name="baseValue">To be added: an object of type 'long'</param>
        <param name="counterFrequency">To be added: an object of type 'long'</param>
        <param name="systemFrequency">To be added: an object of type 'long'</param>
        <param name="timeStamp">To be added: an object of type 'long'</param>
        <param name="timeStamp100nSec">To be added: an object of type 'long'</param>
        <param name="counterType">To be added: an object of type 'PerformanceCounterType'</param>
        <returns>To be added: an object of type 'CounterSample'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CounterSample (long rawValue, long baseValue, long counterFrequency, long systemFrequency, long timeStamp, long timeStamp100nSec, PerformanceCounterType counterType, long counterTimeStamp);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="rawValue" Type="System.Int64" />
		<Parameter Name="baseValue" Type="System.Int64" />
		<Parameter Name="counterFrequency" Type="System.Int64" />
		<Parameter Name="systemFrequency" Type="System.Int64" />
		<Parameter Name="timeStamp" Type="System.Int64" />
		<Parameter Name="timeStamp100nSec" Type="System.Int64" />
		<Parameter Name="counterType" Type="System.Diagnostics.PerformanceCounterType" />
		<Parameter Name="counterTimeStamp" Type="System.Int64" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="rawValue">To be added: an object of type 'long'</param>
        <param name="baseValue">To be added: an object of type 'long'</param>
        <param name="counterFrequency">To be added: an object of type 'long'</param>
        <param name="systemFrequency">To be added: an object of type 'long'</param>
        <param name="timeStamp">To be added: an object of type 'long'</param>
        <param name="timeStamp100nSec">To be added: an object of type 'long'</param>
        <param name="counterType">To be added: an object of type 'PerformanceCounterType'</param>
        <param name="counterTimeStamp">To be added: an object of type 'long'</param>
        <returns>To be added: an object of type 'CounterSample'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RawValue">
      <MemberSignature Language="C#" Value="public long RawValue { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="BaseValue">
      <MemberSignature Language="C#" Value="public long BaseValue { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SystemFrequency">
      <MemberSignature Language="C#" Value="public long SystemFrequency { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CounterFrequency">
      <MemberSignature Language="C#" Value="public long CounterFrequency { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CounterTimeStamp">
      <MemberSignature Language="C#" Value="public long CounterTimeStamp { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="TimeStamp">
      <MemberSignature Language="C#" Value="public long TimeStamp { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="TimeStamp100nSec">
      <MemberSignature Language="C#" Value="public long TimeStamp100nSec { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int64</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'long'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CounterType">
      <MemberSignature Language="C#" Value="public PerformanceCounterType CounterType { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounterType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'PerformanceCounterType'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
